smpl 0001:01 0011:08
'Dsaisonnalisation selon un schma additif
' csa = coefficients saisonniers
immat.seas(a) immatsa csa
' Mthode a
'Prvision par lissage exponentiel double avec coefficient = 0.3
'
immatsa.smooth(d,0.3) immatssm
genr impled = immatssm+csa     'impled = prvison par LED et saisonnalit  
' Mthode b
'Prvision par extrapolation de tendance et saisonnalit (variables 
' dichotomiques)
'
genr trend = @trend
for !I = 1 TO 11
genr D!i = @seas(!I)
next !i
equation eqdic.ls immat C trend D1 D2 D3 D4 D5 D6 D7 D8 D9 D10 D11 
eqdic.forcst impdic  'impdic = prvison par variables dichotomiques
' Mthode c
'Prvision par extrapolation de tendance et saisonnalit (fonctions trigonomtriques
scalar PI = 3.14116
for !I = 1 TO  5
genr cs!I = COS(2*PI/12*TREND*!I)
genr sn!I = SIN(2*PI/12*TREND*!I)
next
equation eqft.LS IMMAT C TREND CS1 CS2 CS3 CS4 CS5 SN1 SN2 SN3 SN4 SN5
eqft.forcst impft  'impft = prvison par fonctions trigonomtriques
' Mthode e
'Prvision par modle de Holt-Winters schma additif
' coefficients  moyenne = 0.3 tendance=saisonnalit=0.2
'
immat.smooth(a,0.3,02,0.2) imphw  ' imphw = prvison par Holt-Winters
delete D1 D2 D3 D4 D5 D6 D7 D8 D9 D10 D11 CS1 CS2 CS3 CS4 CS5 SN1 SN2 SN3 SN4 SN5 immatssm

